function h=plotJoint(im,joints);
% plot the 2D projections of the given joints on top of image
%

% (C) Greg Shakhnarovich, TTI-Chicago, 2005

clf;
imagesc(im);axis image;hold on;

% camera location (center) in XYZ - in meters
cnt=[0 ; 2.3 ; 1];

% camera matrix
% R=[right up look]';
R =[    1.0000         0         0
	0    0.7071   -0.7071
	0   -0.7071   -0.7071];

% focal length in pixels
fy=200;fx=200;

% image center (determined by the dimensions)
x0=size(im,2)/2;
y0=size(im,1)/2;

% plot each joint
for i=1:3:length(joints)
  pt=joints(i:i+2)';
  proj=R*(pt-cnt);
  Y=-proj(2)*(fy/proj(3))+y0;X=proj(1)*fx/proj(3)+x0;
  plot(X,Y,'r+')
end

hold off;
