import poser

def render1DOF(partname,param,pRange,nFrames,template,outdir):
    # for each "frame", the pose is rendered to the main window (renderer
    # settings are assumed to be set manually prior to the script)
    # Arguments:
    # partname - which actor to move, e.g., "Left Hand"
    # param - e.g., "Side-Side"
    # pRange - e.g., [-30.0, 30.0]
    # nFrames - e.g., 100.0
    # template - e.g. 'leftWristSS%+4.2f'
    # outdir - where to write files 

    scene = poser.Scene()
    fig = scene.CurrentFigure()
    part=fig.Actor(partname)

    # note current value of the parameter
    currValue = part.Parameter(param).Value();
    
    # calculate the step size based on how many frames we want.
    # note: effectively there will be one more frame.
    stepSize = (pRange[1]-pRange[0])/nFrames;
    p = pRange[0];
    while p <= pRange[1]+.001: # margin for numerical inaccuracies
        part.SetParameter(param,p);
        scene.Render()
        iname = template % (p)
        scene.SaveImage("jpg",outdir+iname+'.jpg')
        p = p + stepSize;

    # restore the value before the loop
    part.SetParameter(param,currValue);
    scene.DrawAll();
