# script to render and save high-quality images for given poses



import poser
import sys
sys.path = sys.path + ['c:\\greg\\Poser\\py']
from humanparam import * 
from handmanip import *
from handparam import *
from scenemanip import *
import os
from time import sleep

def setVP(vp):
    hand.SetParameter('Twist',vp[0])
    hand.SetParameter('Bend',vp[1])
    hand.SetParameter('Side-Side',vp[2])


scene = poser.Scene()
fig = scene.CurrentFigure()

hand=fig.Actor("Left Forearm")

#settran("Left Forearm",[0, 0, 0])


paramlist=map(lambda x: ['Left '+x[0][0], x[0][1]], handparams)
#writeParamList('c:\\greg\\tmp\\hparamlist.txt',paramlist)

for i in range(1,18):
    
    name='shape%d' % i

    #read the pose
    posef=open("c:\\greg\\hand\\renderedShapes\\"+name+".txt","r");
    restoreParams(readParam(posef,paramlist))
    posef.close()
    
    # each viewpoint describes Twist / Bend / Side-Side
    viewpoints = [[80,0,45],
                  [0,0,45],
                  [-55,0,45],
                  [0,-75,130],
                  [0,-60,15],
                  [-80,0,45],
                  ]

    scene.SetBackgroundColor(0,0,0);

    for v in range(0,len(viewpoints)):
        setVP(viewpoints[v])
        scene.Render()
        iname = 'left_'+name+"_vp%d" % (v+1)
        scene.SaveImage("jpg",'c:\\greg\\hand\\renderedShapes\\new\\'+iname+'.jpg')

        # save the mask as well
        scene.SetDisplayStyle(poser.kDisplayCodeSILHOUETTE)
        scene.DrawAll()
        sname = iname+'-mask.jpg'
        scene.SaveImage("jpg",'c:\\greg\\hand\\renderedShapes\\new\\'+sname+'.jpg')
        scene.SetDisplayStyle(poser.kDisplayCodeTEXTURESHADED)

        
#scene.Render()
#scene.SaveImage("jpg",'c:\\greg\\hand\\renderedShapes\\tmp.jpg')
